package com.monorailstudios.mengine;

import android.graphics.Canvas;

public class MEngine {
	public static boolean DEBUG = true;
	private static MWorld world;
	
	public static void init(){
		world = null;
	}
	
	public static int getNumEntites(){
		if(world != null)
			return world.getNumEntities();
		else
			return 0;
	}
	
	public static void update(float dt){
		if(world != null)
			world.update(dt);
	}
	
	public static void render(Canvas canvas){
		if(world != null)
			world.render(canvas);
	}
	
	public static MWorld getCurrentWorld(){
		return world;
	}
	
	public static void setWorld(MWorld newWorld){
		world = newWorld;
	}
	
	public static MWorld getWorld(){
		return world;
	}
}